#include <stdio.h>

int main(){
unsigned int m,n;
int suma=0;
int i,j,k=1;
int trSuma=0;
scanf("%d %d",&m,&n);
if((m<=0)||(n<=0) || (m<n)){
  printf("-1\n");
}
else{
  for(i=0;i<n;i++){
   suma=suma+k;
   k++;
    
  }
  printf("%d ",suma);

for(i=0;i<m-n;i++){
  suma=suma+n;
 printf("%d ",suma);
}
printf("\n");
}
}